Bug 651892 - (CVE-2010-4160) CVE-2010-4160 kernel: L2TP send buffer allocation size overflows
CVE-2010-4160 kernel: L2TP send buffer allocation size overflows
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20101101,repo...
: Security
Depends On: 651893 651894 651895
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-10 10:14 EST by Petr Matousek
Modified: 2016-02-15 09:14 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-28 04:45:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Petr Matousek 2010-11-10 10:14:41 EST
Description of problem:
Both PPPoL2TP (in net/l2tp/l2tp_ppp.c, pppol2tp_sendmsg()) and IPoL2TP (in net/l2tp/l2tp_ip.c, l2tp_ip_sendmsg()) make calls to sock_wmalloc() that perform arithmetic on the size argument without any maximum bound. As a result, by issuing sendto() calls with very large sizes, this allocation size will wrap and result in a small buffer being allocated, leading to ugliness immediately after (probably kernel panics due to bad sk_buff tail position, but possibly kernel heap corruption).

Reference:
http://www.spinics.net/lists/netdev/msg145673.html

Acknowledgements:

Red Hat would like to thank Dan Rosenberg for reporting this issue.
Comment 2 Petr Matousek 2010-11-10 10:19:53 EST
Statement:

The Linux kernel as shipped with Red Hat Enterprise Linux 3, 4 and 5 did not
include L2TP functionality, and therefore are not affected by this
issue. This has been addressed in Red Hat Enterprise Linux 6 and Red Hat
Enterprise MRG via https://rhn.redhat.com/errata/RHSA-2011-0007.html and https://rhn.redhat.com/errata/RHSA-2011-0330.html.
Comment 4 Vincent Danen 2010-11-10 16:53:42 EST
This issue has been assigned the name CVE-2010-4160.
Comment 8 errata-xmlrpc 2011-01-11 14:45:22 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0007 https://rhn.redhat.com/errata/RHSA-2011-0007.html
Comment 9 errata-xmlrpc 2011-03-10 15:04:23 EST
This issue has been addressed in following products:

  MRG for RHEL-5

Via RHSA-2011:0330 https://rhn.redhat.com/errata/RHSA-2011-0330.html

Note You need to log in before you can comment on or make changes to this bug.